Bug 983946 - locale-related error message in console during kdevelop startup
locale-related error message in console during kdevelop startup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdevelop (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 07:14 EDT by glad08
Modified: 2014-02-05 17:06 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:06:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description glad08 2013-07-12 07:14:22 EDT
Description of problem:

When kdevelop starts up from console, I can see some locale-related warning:

Version-Release number of selected component (if applicable): 4.5.1


How reproducible: allways


Steps to Reproduce:
1. Run mate-terminal
2. print kdevelop, then print return
3.

Actual results:

print warnings: 
KGlobal::locale(): Warning your global KLocale is being recreated with a valid main component instead of a fake component, this usually means you tried to call i18n related functions before your main component was created. You should not do that since it most likely will not work
qrc:/main.qml:23:1: QML Loader: Обнаружено зацикливание привязки для свойства «source»


The last string is spoiled due-to encoding error (some erroneus conversions from russian phrase in cp1251 encoding), which I decode as "Обнаружено зацикливание привязки для свойства «source»" which corresponds English variant of error message "Binding loop detected for property "source""


Expected results: no warnings or warning in readable form.


Additional info:
Also, I want to ask: is it possible this bug is related to bug #968367 ?
Comment 1 glad08 2013-07-12 07:17:46 EDT
P.S. I decode spoiled string via commands
iconv -c -t latin1|iconv -c -t cp1252
Comment 2 glad08 2013-07-12 07:19:55 EDT
P.P.S. 
 iconv -c -t latin1|iconv -c -t latin1
provides perfect result
Comment 3 Fedora End Of Life 2013-12-21 09:18:56 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2014-02-05 17:06:59 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.